• 0
Trog2006

Part rotation angle wrong

Question

Trog2006    1
Posted (edited)

Hi all, I am hoping desperately that someone might be able to help.

Whilst editing parts I know that the QWEASD keys all rotate on various axes and the use of Shift refines that from 90 degrees to 5 degrees by default, but not anymore, not for me.

For some reason my new angles appear to be approximately 30 degrees and less than 1 degree with the use of the Shift key. I cannot tell you when this first occurred because I was re-using previously saved designs I had created a while ago and only recently had to create a couple of new ones.

Does anyone have any solutions, such as editing a config file to change the angles of rotation, or maybe someone has had the same problem and has since fixed it?

The rotation wheels still work as they should, but the key bindings have the above fault.

Edited by Trog2006

Share this post


Link to post
Share on other sites

4 answers to this question

Recommended Posts

  • 0
Trog2006    1
9 hours ago, linuxgurugamer said:

What mods do you have installed?

Thank you for responding, I will try my best to list accurately. My GameData folder contains: ASET(Incl Aset Avionics and Props), Atmospheric Sound Enhancements, B9 PartSwitch, Community Category Kit and Resource Pack, Firespitter(Of course), JSI, KAS, KASA, KAX, Kerbal Engineer, KIS, MagicSmokeIndustries, MechJeb2, NearFutureElectricaNTRs, NearFuturePropulsion, NearFutureSpacecraft, NTRsUseLF, OPT, PlanetaryBaseInc, PlanetShine, SpaceY-Lifters, Squad, SurfaceLights, TweakScale, WarpShip and WheelSounds.

I most recently installed an update of NearFuturePropulsion, but one quirk, it does keep asking me to add the latest one and gives a download link, but it is the same one I have already installed 0.6.4. I have removed this, but the original fault remains, so I have reinstalled it....one quirk of this is that it asks for the 0.6.4 version twice.

I'm worried I may have to start from scratch.

Any advice would be welcomed.

Share this post


Link to post
Share on other sites
  • 0
linuxgurugamer    5567

I assume you are installing via CKAN, giving that quirk you just mentioned.

It happens when you have come additional versions listed as compatible in the Settings->Compatible Versions.  I suggest that you clear the selections and then try updating NFP again, it's actaully at version 0.8.5 now.  Sounds like you may have the wrong one installed.

Beyond that, I'm not sure what is going on

Share this post


Link to post
Share on other sites
  • 0
Trog2006    1
Posted (edited)

That was just what the Kerbal ordered. Complete removal of all NearFuture mods resolved the issue. Thanks, I had no idea that the version history was so out of whack on my install and that there seemed to be two conflicting iterations of the same mod.

 

Problem solved, case closed...A case of Kerba-Kola to the winner :P

Edited by Trog2006

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now